import processing.serial.*;
import processing.video.*;
Serial myPort;  
int val;    

int[] tag;
int tag1[] = { 65, 70, 52, 49, 56, 67, 52, 55, 13};
int tag2[] = { 52, 68, 65, 70, 52, 49, 52, 55, 13};
int tag3[] = { 65, 70, 65, 54, 50, 55, 13,  0, 0 };
int counter = 0;
int found = 0;
Movie movie;

void setup() 
{
  tag = new int[9];
 String portName = Serial.list()[4]; //com3, same as arduino
 myPort = new Serial(this, portName, 9600);
 resetTag();
 
  size(640, 360);
  background(0);
  movie = new Movie(this, "testmovie.mov");
 
}


void playMovie(int movieNo) {
  
  String movieName = "";
  if (movieNo == 1) {
    movieName = "testmovie.mov";
  } else if (movieNo == 2) {
    movieName = "testmovie.mov"; 
  } else if (movieNo == 3) {
    movieName = "testmovie.mov";     
  }
    // Load and play the video in a loop
  movie.pause();
  movie = new Movie(this, movieName);
  movie.play();
}

void movieEvent(Movie m) {
  m.read();
}


void resetTag() {
  found=0;
  counter=0;
  for (int i=0; i<9; i++){
     tag[i] = 0;
  } 
}

void draw()
{
   image(movie, 0, 0, width, height);

 if ( myPort.available() > 0)  // If data is available,
 {  
   val = myPort.read();         // read it and store it in val
   if (val == '\n'){
     
     for (int i=0; i<9; i++) {
         if (tag[i] == tag1[i]){
           found = 1; 
         } else {
           found = 0;
           break; 
         }
     }
     if (found == 0) {
     for (int i=0; i<9; i++) {
         if (tag[i] == tag2[i]){
           found = 2; 
         } else {
           found = 0;
           break; 
         }
     }
     }
     if (found == 0) {
     for (int i=0; i<9; i++) {
         if (tag[i] == tag3[i]){
           found = 3; 
         } else {
           found = 0;
           break; 
         }
     }
     }
     if (found > 0) {
           println("New movie " + found);  
           playMovie(found);
           
     }
     resetTag();
     
   } else {
      if (counter > 8) counter = 0;
      println(val);
      tag[counter] = val;
      counter++;
   }
 }
}
